X2Go Bug report logs - #1141
x2gobroker-loadchecker: debian packaging files symlinks to wrong systemd service file

version graph

Package: x2gobroker-loadchecker; Maintainer for x2gobroker-loadchecker is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2gobroker-loadchecker is src:x2gobroker.

Reported by: "Rogalla, Niels [IT / Ev. Stiftung Augusta]" <n.rogalla@augusta-bochum.de>

Date: Mon, 30 Jan 2017 10:15:02 UTC

Severity: normal

Tags: pending

Fixed in version 0.0.3.2

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#1141; Package x2gobroker-loadchecker. (Mon, 30 Jan 2017 10:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Rogalla, Niels [IT / Ev. Stiftung Augusta]" <n.rogalla@augusta-bochum.de>:
New Bug report received and forwarded. Copy sent to owner@bugs.x2go.org. (Mon, 30 Jan 2017 10:15:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: "Rogalla, Niels [IT / Ev. Stiftung Augusta]" <n.rogalla@augusta-bochum.de>
To: "submit@bugs.x2go.org" <submit@bugs.x2go.org>
Subject: x2gobroker-loadchecker: debian packaging files symlinks to wrong systemd service file
Date: Mon, 30 Jan 2017 10:04:21 +0000
[Message part 1 (text/plain, inline)]
Package: x2gobroker-loadchecker

Version: 0.0.3.1



In the Debian package of the x2gobroker-loadchecker the systemd service file is actually the service file of the x2gobroker-authservice. The git version of the x2gobroker-loadchecker.service still symlinks to the x2gobroker-authservice.service in the  debian/ subdirectory.

To fix that issue the broken symlink just have to be replaced by 'ln -snf ../x2gobroker-loadchecker.service debian/x2gobroker-loadchecker.service'.



Kind regards,

Niels

Diese E-Mail enthält vertrauliche und/oder rechtlich geschützte Informationen. Wenn Sie nicht der richtige Adressat sind oder diese E-Mail irrtümlich erhalten haben, informieren Sie bitte sofort den Absender und vernichten Sie diese Mail. Das unerlaubte Kopieren sowie die unbefugte Weitergabe dieser Mail ist nicht gestattet.

This e-mail may contain confidential and/or privileged information. If you are not the intended recipient (or have received this e-mail in error) please notify the sender immediately and destroy this e-mail. Any unauthorized copying, disclosure or distribution of the material in this e-mail is strictly forbidden.
________________________________
Sparen Sie pro Seite ca. 200ml Wasser, 2g CO2 und 2g Holz: Danke, dass Sie erst an die Umwelt denken, bevor Sie diese E-Mail ausdrucken.


Augusta-Kranken-Anstalt gGmbH
Ein Unternehmen der Evangelischen Stiftung Augusta
Bergstrasse 26; 44791 Bochum
Geschäftsführer: Dipl.-Kfm. Ulrich Froese
Amtsgericht Bochum HRB 3707
Homepage: www.augusta-bochum.de
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#1141; Package x2gobroker-loadchecker. (Sat, 04 Feb 2017 22:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Sat, 04 Feb 2017 22:45:02 GMT) Full text and rfc822 format available.

Message #10 received at 1141@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 1141-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1141@bugs.x2go.org
Subject: X2Go issue (in src:x2gobroker) has been marked as pending for release
Date: Sat, 4 Feb 2017 23:40:39 +0100 (CET)
tag #1141 pending
fixed #1141 0.0.3.2
thanks

Hello,

X2Go issue #1141 (src:x2gobroker) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=4ec39d0

The issue will most likely be fixed in src:x2gobroker (0.0.3.2).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 4ec39d08196c2bcf3bb922854ab6f1f035798690
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Sat Feb 4 23:39:28 2017 +0100

    debian/x2gobroker-loadchecker.service: Fix flawed symlink actually still pointing to the authservice's service file. Thanks to Niels Rogalla for spotting this. (Fixes: #1141).

diff --git a/debian/changelog b/debian/changelog
index 3473e65..97f905a 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,6 +1,9 @@
 x2gobroker (0.0.3.2-0x2go1) UNRELEASED; urgency=medium
 
-  * Continue development
+  * debian/x2gobroker-loadchecker.service:
+    + Fix flawed symlink actually still pointing to the authservice's
+      service file. Thanks to Niels Rogalla for spotting this.
+      (Fixes: #1141).
 
  -- X2Go Release Manager <git-admin@x2go.org>  Thu, 01 Dec 2016 23:07:26 +0100
 


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 04 Feb 2017 22:45:03 GMT) Full text and rfc822 format available.

Marked as fixed in versions 0.0.3.2. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Sat, 04 Feb 2017 22:45:03 GMT) Full text and rfc822 format available.

Message sent on to "Rogalla, Niels [IT / Ev. Stiftung Augusta]" <n.rogalla@augusta-bochum.de>:
Bug#1141. (Sat, 04 Feb 2017 22:45:03 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#1141; Package x2gobroker-loadchecker. (Thu, 23 Feb 2017 01:40:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Thu, 23 Feb 2017 01:40:03 GMT) Full text and rfc822 format available.

Message #22 received at 1141@bugs.x2go.org (full text, mbox):

From: X2Go Release Manager <git-admin@x2go.org>
To: 1141-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1141@bugs.x2go.org
Subject: X2Go issue (in src:x2gobroker) has been marked as closed
Date: Thu, 23 Feb 2017 02:38:32 +0100 (CET)
close #1141
thanks

Hello,

we are very hopeful that X2Go issue #1141 reported by you
has been resolved in the new release (0.0.3.2) of the
X2Go source project »src:x2gobroker«.

You can view the complete changelog entry of src:x2gobroker (0.0.3.2)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2gobroker.

    http://code.x2go.org/gitweb?p=x2gobroker.git;a=commitdiff;h=4609e206ec075aaea69c5c377529208c97b73e9b;hp=2f467f76fd63d912f8f34b656de7f2f3fe4faab4

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2gobroker.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2gobroker
Version: 0.0.3.2-0x2go1
Status: RELEASE
Date: Thu, 23 Feb 2017 02:28:56 +0100
Fixes: 1141
Changes: 
 x2gobroker (0.0.3.2-0x2go1) RELEASED; urgency=medium
 .
   [ Mike Gabriel ]
   * debian/x2gobroker-loadchecker.service:
     + Fix flawed symlink actually still pointing to the authservice's
       service file. Thanks to Niels Rogalla for spotting this.
       (Fixes: #1141).
   * Regression fix for d68ec35. Use hasattr() to properly test structure
     of pam module (required for ABI/API changes upstream).
   * x2gobroker-testagent:
     - Fix setting up remote_agent[] dictionary. Follow-up fix for a9bc46b.
 .
   [ Mihai Moldovan ]
   * New upstream version (0.0.3.2):
     - x2gobroker-authservice: fixup 60db077d1. The hasattr() call takes a
       string as its second parameter.
     - man/*: update date stamps pre-release.


Marked Bug as done Request was from X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Thu, 23 Feb 2017 01:40:04 GMT) Full text and rfc822 format available.

Notification sent to "Rogalla, Niels [IT / Ev. Stiftung Augusta]" <n.rogalla@augusta-bochum.de>:
Bug acknowledged by developer. (Thu, 23 Feb 2017 01:40:04 GMT) Full text and rfc822 format available.

Message sent on to "Rogalla, Niels [IT / Ev. Stiftung Augusta]" <n.rogalla@augusta-bochum.de>:
Bug#1141. (Thu, 23 Feb 2017 01:40:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Thu, 23 Mar 2017 06:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Jul 21 00:41:38 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.